﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.dataSource1 = new NorthwindDataContext().OrdersViews.Where(ds =>ds.EmployeeID ==1).ToList();
            var data = new NorthwindDataContext().OrdersViews.Select(ds => ds.EmployeeID).Distinct().OrderBy(O => O.Value).ToList();
            ViewBag.dataSource2 = data;
            return View();
        }
        public ActionResult DataSource(int id)
        {
            var data = new NorthwindDataContext().OrdersViews.Where(ds => ds.EmployeeID == id).ToList();
            int count = data.Cast<OrdersView>().Count();
            return Json(new { result = data, count = count });
           // return Json(data);
        }
        public ActionResult Data(DataManager dm)
        {
            IEnumerable data = new NorthwindDataContext().OrdersViews.ToList();
            DataOperations operation = new DataOperations();
            if (dm.Sorted != null && dm.Sorted.Count > 0) //Sorting
            {
                data = operation.PerformSorting(data, dm.Sorted);
            }
            if (dm.Where != null && dm.Where.Count > 0) //Filtering
            {
                data = operation.PerformWhereFilter(data, dm.Where, dm.Where[0].Operator);
            }
            int count = data.Cast<OrdersView>().Count();
            if (dm.Skip != 0)
            {
                data = operation.PerformSkip(data, dm.Skip);
            }
            if (dm.Take != 0)
            {
                data = operation.PerformTake(data, dm.Take);
            }
            return Json(new { result = data, count = count });
        }
        public class DataResult
        {
            public IEnumerable<EditableOrder> result { get; set; }
            public int count { get; set; }
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}