﻿namespace EJGrid.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using EJGrid.Models;
    using System.Data.SqlClient;
    using System.Data;

    
    public static class OrderRepository
    {
        public class Employee
        {

            public long EmployeeID { get; set; }

            public string FirstName { get; set; }
            public string LastName { get; set; }
        }
        public static IList<EditableOrder> GetAllRecords()
        {
            IList<EditableOrder> orders = (IList<EditableOrder>)HttpContext.Current.Session["Orders"];

            if (orders == null)
            {
                HttpContext.Current.Session["Orders"] = orders = (from ord in new NorthwindDataContext().Orders.Take(100)
                                                                  select new EditableOrder
                                                                  {
                                                                      OrderID = ord.OrderID,
                                                                      OrderDate = ord.OrderDate,
                                                                      CustomerID = ord.CustomerID,
                                                                      EmployeeID = ord.EmployeeID,
                                                                      Freight = ord.Freight,
                                                                      ShipAddress = ord.ShipAddress,
                                                                      ShipCity = ord.ShipCity,
                                                                      ShipName = ord.ShipName,
                                                                      ShipPostalCode = ord.ShipPostalCode,
                                                                      ShipRegion = ord.ShipRegion,
                                                                      ShipCountry = ord.ShipCountry
                                                                  }).ToList();
                orders[1].TestColumn = 1;
                orders[2].TestColumn = "Test";
                orders[3].TestColumn = new DateTime(2014, 06, 04);
                orders[4].TestColumn = 1;
                orders[5].TestColumn = 1;
                orders[6].TestColumn = new DateTime(2014, 05, 04);
                orders[7].TestColumn = 1;
                orders[8].TestColumn = "Test";
                orders[9].TestColumn = 1; orders[0].TestColumn = 1;
            }
            return orders;
        }
        public static IList<Employee> GetAllRecords2()
        {
            IList<Employee> employee = (IList<Employee>)HttpContext.Current.Session["Employee"];

            if (employee == null)
            {
                HttpContext.Current.Session["Employee"] = employee = (from ord in new NorthwindDataContext().Employees.Take(10)
                                                                      select new Employee
                                                                  {

                                                                      FirstName = ord.FirstName,
                                                                      EmployeeID = ord.EmployeeID,
                                                                      LastName = ord.LastName,

                                                                  }).ToList();
                
            }
            return employee;
        }

        
    }
}
